Refresh domain status
curl --request POST \
--url https://api.getcargo.io/v1/domainManagement/domains/{uuid}/refresh-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcargo.io/v1/domainManagement/domains/{uuid}/refresh-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcargo.io/v1/domainManagement/domains/{uuid}/refresh-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domain": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"registrar": "mailpool",
"providerRef": {},
"dnsRecords": [
{
"name": "<string>",
"value": "<string>",
"ttl": 123,
"priority": 123
}
],
"priceCredits": 123,
"billingUsageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresAt": "<string>",
"renewalChargedUntil": "<string>",
"autoRenew": true,
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Domain Management - Domains
Refresh domain status
Re-poll the registrar for a managed domain’s status
POST
/
domainManagement
/
domains
/
{uuid}
/
refresh-status
Refresh domain status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Domain identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Response
Successful response
Domain after the registrar status refresh.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

